# Module db_util

- Description
- Function Index
- Function Details

DB back-end utilities.

Copyright © 2015 Zuse Institute Berlin,

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`), Nico Kruber (`kruber@zib.de`).

## Description

DB back-end utilities.

## Function Index

get_name/1 | Initializes a new database.
get_recoverable_dbs/0 |
get_subscriber_name/1 |
parse_table_name/1 |

## Function Details

### get_name/1

    get_name(DBName :: nonempty_string() | atom() | tuple()) ->
                nonempty_string()

Initializes a new database.

### get_subscriber_name/1

    get_subscriber_name(DBName :: nonempty_string()) ->
                           nonempty_string()

### get_recoverable_dbs/0

    get_recoverable_dbs() ->
                           [{DB_type :: nonempty_string(),
                             PID_group :: pid_groups:groupname(),
                             DB_name :: nonempty_string()}]

### parse_table_name/1

    parse_table_name(Table :: nonempty_string() | atom()) ->
                        {DB_type :: nonempty_string(),
                         PID_group :: pid_groups:groupname(),
                         Table :: nonempty_string()}

Generated by EDoc, Feb 29 2016, 16:12:16.